This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457196 - Review Request: pymetar - METAR weather reports parser for Python
Review Request: pymetar - METAR weather reports parser for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 438608
  Show dependency treegraph
 
Reported: 2008-07-30 03:59 EDT by Matthias Saou
Modified: 2008-10-08 06:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 06:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2008-07-30 03:59:56 EDT
Spec URL: http://thias.fedorapeople.org/review/pymetar/pymetar.spec
SRPM URL: http://thias.fedorapeople.org/review/pymetar/pymetar-0.13-1.src.rpm
Description:
This library downloads the weather report for a given station ID, decodes it
and provides easy access to all the data found in the report.

NOTE: This is not the same library as the one already packaged as python-metar.
Comment 1 Jeff Perry 2008-07-30 21:45:58 EDT
**Unofficial quick look ** Looking for sponsor

Just looked at the spec file.
If I'm reading this right, the entire local python site-libs dir is included as
part of the generated package??

This is the line under %files...

%{python_sitelib}/*

This does not seem right...instead the package should declare a dependency on a
package or packages I would think.

If these python dependencies do not have packages in Fedora yet, then they may
need to have new ones created. 

If the actual dependency is only on standard parts of the default python install
then a dependency on python should be included.

Comment 2 Jeff Perry 2008-07-30 21:54:10 EDT
Never mind - closer inspection shows my interpretation is wrong.
Comment 3 Jeff Perry 2008-07-30 21:57:07 EDT
Never mind - closer inspection shows my interpretation is wrong.
Comment 4 Brian Pepple 2008-08-10 19:19:01 EDT
MD5Sum:
84b6737b101daf5647a60d0d93d7783a  pymetar-0.13.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Rpmlint does not find problems
* Builds fine in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=769550
* Package installs and uninstalls cleanly

+1 APPROVE
Comment 5 Matthias Saou 2008-08-12 05:20:00 EDT
Thanks for your quick review, Brian!

New Package CVS Request
=======================
Package Name: pymetar
Short Description: METAR weather reports parser for Python
Owners: matthias@rpmforge.net
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-12 13:12:34 EDT
cvs done.
Comment 7 Matthias Saou 2008-10-08 06:03:27 EDT
Rebuilt the the packages a while back, but forgot to close this review. Doing so now. I've now updated to 0.14 too.

Note You need to log in before you can comment on or make changes to this bug.